From 8ecff88ff4178b40ec9b7757d74e843e6bfd1475 Mon Sep 17 00:00:00 2001
From: Mario Fetka <mario.fetka@gmail.com>
Date: Sat, 25 Jun 2011 17:40:17 +0200
Subject: [PATCH] initial checkin

---
 CLIENT_DATA/delsub32.ins                |  90 +++++++++++
 CLIENT_DATA/setup32.ins                 | 200 ++++++++++++++++++++++++
 CLIENT_DATA/uninstall32.ins             |  65 ++++++++
 OPSI/changelog.txt                      |   0
 OPSI/control                            |  32 ++++
 OPSI/postinst                           |   9 ++
 OPSI/preinst                            |   9 ++
 build.sh                                | 147 +++++++++++++++++
 irfanview.jpg.sha1sum                   |   1 +
 irfanview_plugins_430_setup.exe.sha1sum |   1 +
 iview430_setup.exe.sha1sum              |   1 +
 11 files changed, 555 insertions(+)
 create mode 100644 CLIENT_DATA/delsub32.ins
 create mode 100644 CLIENT_DATA/setup32.ins
 create mode 100644 CLIENT_DATA/uninstall32.ins
 create mode 100644 OPSI/changelog.txt
 create mode 100644 OPSI/control
 create mode 100644 OPSI/postinst
 create mode 100644 OPSI/preinst
 create mode 100644 build.sh
 create mode 100644 irfanview.jpg.sha1sum
 create mode 100644 irfanview_plugins_430_setup.exe.sha1sum
 create mode 100644 iview430_setup.exe.sha1sum

diff --git a/CLIENT_DATA/delsub32.ins b/CLIENT_DATA/delsub32.ins
new file mode 100644
index 0000000..bf6b8d2
--- /dev/null
+++ b/CLIENT_DATA/delsub32.ins
@@ -0,0 +1,90 @@
+; Copyright (c) uib gmbh (www.uib.de)
+; This sourcecode is owned by uib gmbh
+; and published under the Terms of the General Public License.
+; credits: http://www.opsi.org/credits/
+
+
+Set $MsiId$ = '{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}'
+Set $UninstallProgram$ = $InstallDir$ + "\iv_uninstall.exe"
+
+Message "Uninstalling " + $ProductId$ + " ..."
+
+if FileExists($UninstallProgram$)
+	comment "Uninstall program found, starting uninstall"
+	Winbatch_uninstall
+	sub_check_exitcode
+endif
+if not (GetRegistryStringValue32("[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\" + $MsiId$ + "] DisplayName") = "")
+	comment "MSI id " + $MsiId$ + " found in registry, starting msiexec to uninstall"
+	Winbatch_uninstall_msi
+	sub_check_exitcode
+endif
+
+comment "Delete files"
+Files_uninstall /32Bit
+
+comment "Cleanup registry"
+Registry_uninstall /32Bit
+
+comment "Delete program shortcuts"
+LinkFolder_uninstall
+
+[Winbatch_uninstall]
+; Choose one of the following examples as basis for program uninstall
+;
+"$UninstallProgram$" /silent
+
+[Winbatch_uninstall_msi]
+msiexec /x $MsiId$ /qb! REBOOT=ReallySuppress
+
+[Files_uninstall]
+; Example for recursively deleting the installation directory (don't forget the trailing backslash):
+;
+; delete -sf "$InstallDir$\"
+
+[Registry_uninstall]
+; Example of deleting a registry key:
+;
+; deletekey [HKEY_LOCAL_MACHINE\Software\$ProductId$]
+
+[LinkFolder_uninstall]
+; Example of deleting a folder from AllUsers startmenu:
+;
+; set_basefolder common_programs
+; delete_subfolder $ProductId$
+;
+; Example of deleting a shortcut from AllUsers desktop:
+;
+; set_basefolder common_desktopdirectory
+; set_subfolder ""
+; delete_element $ProductId$
+
+[Sub_check_exitcode]
+comment "Test for installation success via exit code"
+set $ExitCode$ = getLastExitCode
+; informations to exit codes see
+; http://msdn.microsoft.com/en-us/library/aa372835(VS.85).aspx
+; http://msdn.microsoft.com/en-us/library/aa368542.aspx
+if ($ExitCode$ = "0")
+	comment "Looks good: setup program gives exitcode zero"
+else
+	comment "Setup program gives a exitcode unequal zero: " + $ExitCode$
+	if ($ExitCode$ = "1605")
+		comment "ERROR_UNKNOWN_PRODUCT	1605	This action is only valid for products that are currently installed."
+		comment "Uninstall of a not installed product failed - no problem"
+	else
+		if ($ExitCode$ = "1641")
+			comment "looks good: setup program gives exitcode 1641"
+			comment "ERROR_SUCCESS_REBOOT_INITIATED	1641	The installer has initiated a restart. This message is indicative of a success."
+		else
+			if ($ExitCode$ = "3010")
+				comment "looks good: setup program gives exitcode 3010"
+				comment "ERROR_SUCCESS_REBOOT_REQUIRED	3010	A restart is required to complete the install. This message is indicative of a success."
+			else
+				logError "Fatal: Setup program gives an unknown exitcode unequal zero: " + $ExitCode$
+				isFatalError
+			endif
+		endif
+	endif
+endif
+
diff --git a/CLIENT_DATA/setup32.ins b/CLIENT_DATA/setup32.ins
new file mode 100644
index 0000000..b10f98d
--- /dev/null
+++ b/CLIENT_DATA/setup32.ins
@@ -0,0 +1,200 @@
+; Copyright (c) uib gmbh (www.uib.de)
+; This sourcecode is owned by uib
+; and published under the Terms of the General Public License.
+; credits: http://www.opsi.org/credits/
+
+[Actions]
+requiredWinstVersion >= "4.10.8.6"
+
+DefVar $MsiId$
+DefVar $UninstallProgram$
+DefVar $LogDir$
+DefVar $ProductId$  
+DefVar $MinimumSpace$
+DefVar $InstallDir$
+DefVar $ExitCode$
+DefVar $LicenseRequired$
+DefVar $LicenseKey$
+DefVar $LicensePool$
+
+Set $LogDir$ = "%SystemDrive%\tmp"
+
+; ----------------------------------------------------------------
+; - Please edit the following values                             -
+; ----------------------------------------------------------------
+;$ProductId$ should be the name of the product in opsi
+; therefore please: only lower letters, no umlauts, 
+; no white space use '-' as a seperator
+Set $ProductId$       = "irfanview"
+Set $MinimumSpace$    = "10 MB"
+; the path were we find the product after the installation
+Set $InstallDir$      = "%ProgramFiles32Dir%\IrfanView"
+Set $LicenseRequired$ = "false"
+Set $LicensePool$     = "p_" + $ProductId$
+; ----------------------------------------------------------------
+
+if not(HasMinimumSpace ("%SystemDrive%", $MinimumSpace$))
+	LogError "Not enough space on %SystemDrive%, " + $MinimumSpace$ + " on drive %SystemDrive% needed for " + $ProductId$
+	isFatalError
+	; Stop process and set installation status to failed
+else
+	comment "Show product picture"
+	ShowBitmap "%ScriptPath%\" + $ProductId$ + ".png" $ProductId$
+	
+	if FileExists("%ScriptPath%\delsub32.ins")
+		comment "Start uninstall sub section"
+		Sub "%ScriptPath%\delsub32.ins"
+	endif
+	
+	Message "Installing " + $ProductId$ + " ..."
+	
+	if $LicenseRequired$ = "true"
+		comment "Licensing required, reserve license and get license key"
+		Sub_get_licensekey
+	endif
+	
+	comment "Start setup program"
+	Winbatch_install
+	Sub_check_exitcode
+	
+	comment "Copy files"
+	Files_install /32Bit
+	
+	comment "Patch Registry"
+	Registry_install /32Bit
+	
+	comment "Create shortcuts"
+	LinkFolder_install
+	
+	comment "Test for installation success"
+	; Test if software marked as installed in registry
+	; if (GetRegistryStringValue32("[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}] DisplayName") = "")
+	; 	logError "Fatal: After Installation 32 bit [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}] not found"
+	; 	isFatalError
+	; else
+	; 	comment "Successful Installation"
+	; endif
+
+endif
+
+[Winbatch_install]
+; Choose one of the following examples as basis for your installation
+; You can use $LicenseKey$ var to pass a license key to the installer
+;
+"%ScriptPath%\X86FILE" /silent /folder="$InstallDir$" /desktop=1 /thumbs=1 /group=1 /allusers=1 /assoc=1 /assocallusers=1 /ini="%AppdataDir%\irfanview"
+"%ScriptPath%\X86PLUGINSFILE" /silent
+
+[Files_install]
+; Example of recursively copying some files into the installation directory:
+;
+; copy -s "%ScriptPath%\files\*.*" "$InstallDir$"
+
+[Registry_install]
+; Example of setting some values of an registry key:
+;
+; openkey [HKEY_LOCAL_MACHINE\Software\$ProductId$]
+; set "name1" = "some string value"
+; set "name2" = REG_DWORD:0001
+; set "name3" = REG_BINARY:00 af 99 cd
+
+[LinkFolder_install]
+; Example of deleting a folder from AllUsers startmenu:
+;
+; set_basefolder common_programs
+; delete_subfolder $ProductId$
+;
+; Example of creating an shortcut to the installed exe in AllUsers startmenu:
+;
+; set_basefolder common_programs
+; set_subfolder $ProductId$
+;
+; set_link
+; 	name: $ProductId$
+; 	target: <path to the program>
+; 	parameters:
+; 	working_dir: $InstallDir$
+; 	icon_file:
+; 	icon_index:
+; end_link
+;
+; Example of creating an shortcut to the installed exe on AllUsers desktop:
+;
+; set_basefolder common_desktopdirectory
+; set_subfolder ""
+;
+; set_link
+; 	name: $ProductId$
+; 	target: <path to the program>
+; 	parameters: <some_param>
+; 	working_dir: $InstallDir$
+; 	icon_file: <path to icon file>
+; 	icon_index: 2
+; end_link
+
+[Sub_get_licensekey]
+if opsiLicenseManagementEnabled
+	comment "License management is enabled and will be used"
+
+	comment "Trying to get a license key"
+	Set $LicenseKey$ = demandLicenseKey ($LicensePool$)
+	; If there is an assignment of exactly one licensepool to the product the following call is possible:
+	; Set $LicenseKey$ = demandLicenseKey ("", $ProductId$)
+	;
+	; If there is an assignment of a license pool to a windows software id, it is possible to use:
+	; DefVar $WindowsSoftwareId$
+	; $WindowsSoftwareId$ = "..."
+	; Set $LicenseKey$ = demandLicenseKey ("", "", $WindowsSoftwareId$)
+	
+	DefVar $ServiceErrorClass$
+	set $ServiceErrorClass$ = getLastServiceErrorClass
+	comment "Error class: " + $ServiceErrorClass$
+	
+	if $ServiceErrorClass$ = "None"
+		comment "Everything fine, we got the license key '" + $LicenseKey$ + "'"
+	else
+		if $ServiceErrorClass$ = "LicenseConfigurationError"
+			LogError "Fatal: license configuration must be corrected"
+			LogError getLastServiceErrorMessage
+			isFatalError
+		else 
+			if $ServiceErrorClass$ = "LicenseMissingError"
+				LogError "Fatal: required license is not supplied"
+				isFatalError
+			endif
+		endif
+	endif
+else
+	LogError "Fatal: license required, but license management not enabled"
+	isFatalError
+endif
+
+
+[Sub_check_exitcode]
+comment "Test for installation success via exit code"
+set $ExitCode$ = getLastExitCode
+; informations to exit codes see
+; http://msdn.microsoft.com/en-us/library/aa372835(VS.85).aspx
+; http://msdn.microsoft.com/en-us/library/aa368542.aspx
+if ($ExitCode$ = "0")
+	comment "Looks good: setup program gives exitcode zero"
+else
+	comment "Setup program gives a exitcode unequal zero: " + $ExitCode$
+	if ($ExitCode$ = "1605")
+		comment "ERROR_UNKNOWN_PRODUCT	1605	This action is only valid for products that are currently installed."
+		comment "Uninstall of a not installed product failed - no problem"
+	else
+		if ($ExitCode$ = "1641")
+			comment "looks good: setup program gives exitcode 1641"
+			comment "ERROR_SUCCESS_REBOOT_INITIATED	1641	The installer has initiated a restart. This message is indicative of a success."
+		else
+			if ($ExitCode$ = "3010")
+				comment "looks good: setup program gives exitcode 3010"
+				comment "ERROR_SUCCESS_REBOOT_REQUIRED	3010	A restart is required to complete the install. This message is indicative of a success."
+			else
+				logError "Fatal: Setup program gives an unknown exitcode unequal zero: " + $ExitCode$
+				isFatalError
+			endif
+		endif
+	endif
+endif
+
diff --git a/CLIENT_DATA/uninstall32.ins b/CLIENT_DATA/uninstall32.ins
new file mode 100644
index 0000000..3f2d306
--- /dev/null
+++ b/CLIENT_DATA/uninstall32.ins
@@ -0,0 +1,65 @@
+; Copyright (c) uib gmbh (www.uib.de)
+; This sourcecode is owned by uib gmbh
+; and published under the Terms of the General Public License.
+; credits: http://www.opsi.org/credits/
+
+[Actions]
+requiredWinstVersion >= "4.10.8.6"
+
+DefVar $MsiId$
+DefVar $UninstallProgram$
+DefVar $LogDir$
+DefVar $ExitCode$
+DefVar $ProductId$
+DefVar $InstallDir$
+DefVar $LicenseRequired$
+DefVar $LicensePool$
+
+Set $LogDir$ = "%SystemDrive%\tmp"
+
+; ----------------------------------------------------------------
+; - Please edit the following values                             -
+; ----------------------------------------------------------------
+Set $ProductId$       = "irfanview"
+Set $InstallDir$      = "%ProgramFiles32Dir%\IrfanView"
+Set $LicenseRequired$ = "false"
+Set $LicensePool$     = "p_" + $ProductId$
+; ----------------------------------------------------------------
+
+
+comment "Show product picture"
+ShowBitmap "%ScriptPath%\" + $ProductId$ + ".png" $ProductId$
+
+Message "Uninstalling " + $ProductId$ + " ..."
+
+if FileExists("%ScriptPath%\delsub32.ins")
+	comment "Start uninstall sub section"
+	Sub "%ScriptPath%\delsub32.ins"
+endif
+
+if $LicenseRequired$ = "true"
+	comment "Licensing required, free license used"
+	Sub_free_license
+endif
+
+[Sub_free_license]
+if opsiLicenseManagementEnabled
+	comment "License management is enabled and will be used"
+
+	comment "Trying to free license used for the product"
+	DefVar $result$
+	Set $result$ = FreeLicense($LicensePool$)
+	; If there is an assignment of a license pool to the product, it is possible to use
+	; Set $result$ = FreeLicense("", $ProductId$)
+	;
+	; If there is an assignment of a license pool to a windows software id, it is possible to use
+	; DefVar $WindowsSoftwareId$
+	; $WindowsSoftwareId$ = "..."
+	; set $result$ = FreeLicense("", "", $WindowsSoftwareId$)
+else
+	LogError "Error: licensing required, but license management not enabled"
+	isFatalError
+endif
+
+
+
diff --git a/OPSI/changelog.txt b/OPSI/changelog.txt
new file mode 100644
index 0000000..e69de29
diff --git a/OPSI/control b/OPSI/control
new file mode 100644
index 0000000..2ed867e
--- /dev/null
+++ b/OPSI/control
@@ -0,0 +1,32 @@
+[Package]
+version: RELEASE
+depends: 
+incremental: False
+
+[Product]
+type: localboot
+id: irfanview
+name: IrfanView Bildbetrachtungsprogramm
+description: IrfanView is a very fast, small, compact and innovative FREEWARE (for non-commercial use) graphic viewer for Windows.
+advice: ADVICE
+version: VERSION
+priority: PRIORITY
+licenseRequired: False
+productClasses: 
+setupScript: setup32.ins
+uninstallScript: uninstall32.ins
+updateScript: 
+alwaysScript: 
+onceScript: 
+customScript: 
+userLoginScript: 
+
+[ProductProperty]
+type: unicode
+name: install_architecture
+multivalue: False
+editable: False
+description: which architecture (32/64 bit) has to be installed
+values: ["32 only", "64 only", "both", "system specific"]
+default: ["system specific"]
+
diff --git a/OPSI/postinst b/OPSI/postinst
new file mode 100644
index 0000000..a8e33fc
--- /dev/null
+++ b/OPSI/postinst
@@ -0,0 +1,9 @@
+#! /bin/sh
+#
+# postinst script for softprod
+# This script executes after unpacking files from that archive and registering the product at the server.
+#
+# The following environment variables can be used to obtain information about the current installation:
+#   PRODUCT_ID: id of the current product
+#   CLIENT_DATA_DIR: directory which contains the installed client data
+#
diff --git a/OPSI/preinst b/OPSI/preinst
new file mode 100644
index 0000000..15a5320
--- /dev/null
+++ b/OPSI/preinst
@@ -0,0 +1,9 @@
+#! /bin/sh
+#
+# preinst script for softprod
+# This script executes before that package will be unpacked from its archive file.
+#
+# The following environment variables can be used to obtain information about the current installation:
+#   PRODUCT_ID: id of the current product
+#   CLIENT_DATA_DIR: directory where client data will be installed
+#
diff --git a/build.sh b/build.sh
new file mode 100644
index 0000000..4a9d002
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,147 @@
+#!/bin/sh
+PN="irfanview"
+VERSION="4.30"
+RELEASE="1"
+PRIORITY="0"
+ADVICE=""
+TYPE="public"
+# all downloads should not have any traling parameters like ?downlaodid=1234 .....(should rewrite in python)
+ICON="http://www.image-acquire.com/images/irfanview.jpg"
+X86="http://www.4shared.com/file/oZKhlLlj/iview430_setup.html"
+X86PLUGINS="http://irfanview.tuwien.ac.at/plugins/irfanview_plugins_430_setup.exe"
+#AMD64="http://downloads.sourceforge.net/sevenzip/7z920-x64.msi"
+ICONFILE=${ICON##*/}
+X86FILE="iview430_setup.exe"
+X86PLUGINSFILE=${X86PLUGINS##*/}
+#AMD64FILE=${AMD64##*/}
+
+	if [ -e /var/tmp/opsi/upload/$TYPE/${PN}_${VERSION}-${RELEASE}.opsi ]
+	then
+		echo "package ${PN}_${VERSION}-${RELEASE}.opsi already generated"
+		exit 1
+	fi
+
+OUT=$(mktemp -d /tmp/output.XXXXXXXXXX) || { echo "Failed to create temp dir"; exit 1; }
+mkdir $OUT/$PN
+cp -Rv OPSI CLIENT_DATA $OUT/$PN
+unix2dos $OUT/$PN/CLIENT_DATA/*
+
+	if [ -e /usr/portage/distfiles/$ICONFILE ]
+	then
+		if [ -e $ICONFILE.sha1sum ]
+		then
+			SHA1SUM=`cat $ICONFILE.sha1sum`
+			CHECKSUM=`sha1sum /usr/portage/distfiles/$ICONFILE`
+			if [ "$CHECKSUM" = "$SHA1SUM" ]
+			then
+				convert -colorspace rgb /usr/portage/distfiles/$ICONFILE -transparent white -background transparent -resize 160x160\> \
+					-size 160x160 xc:transparent +swap -gravity center -composite $OUT/$PN/CLIENT_DATA/$PN.png
+			else
+				echo "The checksums do not match."
+				exit 1
+			fi
+		else
+			echo "You need to create the checksums with: sha1sum /usr/portage/distfiles/$ICONFILE > $ICONFILE.sha1sum"
+			exit 1
+		fi
+	else
+		echo "Downloading file"
+		wget -P /usr/portage/distfiles/ $ICON
+		exit 1
+	fi
+
+	if [ -e /usr/portage/distfiles/$X86FILE ]
+	then
+		if [ -e $X86FILE.sha1sum ]
+		then
+			SHA1SUM=`cat $X86FILE.sha1sum`
+			CHECKSUM=`sha1sum /usr/portage/distfiles/$X86FILE`
+			if [ "$CHECKSUM" = "$SHA1SUM" ]
+			then
+				cp /usr/portage/distfiles/$X86FILE $OUT/$PN/CLIENT_DATA
+			else
+				echo "The checksums do not match."
+				exit 1
+			fi
+		else
+			echo "You need to create the checksums with: sha1sum /usr/portage/distfiles/$X86FILE > $X86FILE.sha1sum"
+			exit 1
+		fi
+	else
+		echo "Downloading file"
+		#wget -O /usr/portage/distfiles/$X86FILE $X86
+		plowdown -o /usr/portage/distfiles $X86
+		exit 1
+	fi
+
+	if [ -e /usr/portage/distfiles/$X86PLUGINSFILE ]
+	then
+		if [ -e $X86PLUGINSFILE.sha1sum ]
+		then
+			SHA1SUM=`cat $X86PLUGINSFILE.sha1sum`
+			CHECKSUM=`sha1sum /usr/portage/distfiles/$X86PLUGINSFILE`
+			if [ "$CHECKSUM" = "$SHA1SUM" ]
+			then
+				cp /usr/portage/distfiles/$X86PLUGINSFILE $OUT/$PN/CLIENT_DATA
+			else
+				echo "The checksums do not match."
+				exit 1
+			fi
+		else
+			echo "You need to create the checksums with: sha1sum /usr/portage/distfiles/$X86PLUGINSFILE > $X86PLUGINSFILE.sha1sum"
+			exit 1
+		fi
+	else
+		echo "Downloading file"
+		wget -O /usr/portage/distfiles/$X86PLUGINSFILE $X86
+		exit 1
+	fi
+
+#	if [ -e /usr/portage/distfiles/$AMD64FILE ]
+#	then
+#		if [ -e $AMD64FILE.sha1sum ]
+#		then
+#			SHA1SUM=`cat $AMD64FILE.sha1sum`
+#			CHECKSUM=`sha1sum /usr/portage/distfiles/$AMD64FILE`
+#			if [ "$CHECKSUM" = "$SHA1SUM" ]
+#			then
+#				cp /usr/portage/distfiles/$AMD64FILE $OUT/$PN/CLIENT_DATA
+#			else
+#				echo "The checksums do not match." 
+#				exit 1
+#			fi
+#		else
+#			echo "You need to create the checksums with: sha1sum /usr/portage/distfiles/$AMD64FILE > $AMD64FILE.sha1sum"
+#			exit 1
+#		fi
+#	else
+#		echo "Downloading file"
+#		wget -P /usr/portage/distfiles/ $AMD64
+#		exit 1
+#	fi
+
+sed -e "s!VERSION!$VERSION!g" -e "s!RELEASE!$RELEASE!g" -e "s!PRIORITY!$PRIORITY!g" -e "s!ADVICE!$ADVICE!g" -i $OUT/$PN/OPSI/control
+#sed -e "s!X86FILE!$X86FILE!g" -e "s!AMD64FILE!$AMD64FILE!g" -i $OUT/$PN/CLIENT_DATA/setup.ins
+sed -e "s!X86FILE!$X86FILE!g" -e "s!X86PLUGINSFILE!$X86PLUGINSFILE!g" -i $OUT/$PN/CLIENT_DATA/setup32.ins
+
+if test -d ".git"; then
+    git log --date-order --date=short | \
+    sed -e '/^commit.*$/d' | \
+    awk '/^Author/ {sub(/\\$/,""); getline t; print $0 t; next}; 1' | \
+    sed -e 's/^Author: //g' | \
+    sed -e 's/>Date:   \([0-9]*-[0-9]*-[0-9]*\)/>\t\1/g' | \
+    sed -e 's/^\(.*\) \(\)\t\(.*\)/\3    \1    \2/g' > $OUT/$PN/OPSI/changelog.txt
+else
+    echo "No git repository present."
+    exit 1
+fi
+
+pushd $OUT
+opsi-makeproductfile -v $OUT/$PN
+popd
+
+mkdir -p /var/tmp/opsi/upload/$TYPE/
+cp -afv $OUT/*.opsi /var/tmp/opsi/upload/$TYPE/
+
+#rm -rf $OUT
+
diff --git a/irfanview.jpg.sha1sum b/irfanview.jpg.sha1sum
new file mode 100644
index 0000000..61646c3
--- /dev/null
+++ b/irfanview.jpg.sha1sum
@@ -0,0 +1 @@
+da5cb7191717daae18e1ee9096628acb478013ed  /usr/portage/distfiles/irfanview.jpg
diff --git a/irfanview_plugins_430_setup.exe.sha1sum b/irfanview_plugins_430_setup.exe.sha1sum
new file mode 100644
index 0000000..4ae5b16
--- /dev/null
+++ b/irfanview_plugins_430_setup.exe.sha1sum
@@ -0,0 +1 @@
+ea35585c58ca404b6b21ea62a8edf36769d8c29e  /usr/portage/distfiles/irfanview_plugins_430_setup.exe
diff --git a/iview430_setup.exe.sha1sum b/iview430_setup.exe.sha1sum
new file mode 100644
index 0000000..0f93af2
--- /dev/null
+++ b/iview430_setup.exe.sha1sum
@@ -0,0 +1 @@
+a3940937580de12a80e86e54f6ff3c0ef3dc1a72  /usr/portage/distfiles/iview430_setup.exe